Name:           perl-Devel-Cover
Version:        1.40
Release:    2%{?dist}
Summary:        Code coverage metrics for Perl
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Devel-Cover
Source0:        https://cpan.metacpan.org/authors/id/P/PJ/PJCJ/Devel-Cover-%{version}.tar.gz
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(Cwd)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(B)
BuildRequires:  perl(B::Concise)
BuildRequires:  perl(B::Deparse)
BuildRequires:  perl(base)
BuildRequires:	perl(Browser::Open)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Class::XSAccessor)
BuildRequires:  perl(Config)
BuildRequires:  perl(constant)
BuildRequires:  perl(CPAN::DistnameInfo)
BuildRequires:  perl(CPAN::Meta)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Digest::MD5)
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Fcntl)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(HTML::Entities) >= 3.69
BuildRequires:  perl(JSON)
BuildRequires:	perl(JSON::MaybeXS)
BuildRequires:  perl(Moo)
BuildRequires:  perl(namespace::clean)
BuildRequires:  perl(Parallel::Iterator)
BuildRequires:  perl(Pod::Usage)
BuildRequires:  perl(POSIX)
BuildRequires:	perl(PPI::HTML) >= 1.07
BuildRequires:	perl(Sereal)
BuildRequires:  perl(Sereal::Decoder)
BuildRequires:  perl(Sereal::Encoder)
BuildRequires:  perl(Storable)
BuildRequires:  perl(Template) >= 2.00
BuildRequires:  perl(Template::Provider)
BuildRequires:  perl(Test)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(vars)
BuildRequires:  perl(Pod::Coverage) >= 0.06
BuildRequires:  perl(Pod::Coverage::CountParents)
BuildRequires:  perl(Test::Differences)
BuildRequires:  perl(blib)
BuildRequires:  perl(DBM::Deep)
BuildRequires:  perl(experimental)
BuildRequires:  perl(feature)
BuildRequires:  perl(lib)
BuildRequires:  perl(Math::BigInt)
BuildRequires:  perl(Moose)
BuildRequires:  perl(overload)
BuildRequires:  perl(Readonly)
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(:VERSION) >= 5.0
Requires:       perl(CPAN::DistnameInfo)
Requires:       perl(CPAN::Meta)
Requires:       perl(JSON)

%{?perl_default_filter}

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Devel::Cover::Dumper\\)
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Template\\)$

%description
This module provides code coverage metrics for Perl. Code coverage metrics
describe how thoroughly tests exercise code. By using Devel::Cover you can
discover areas of code not exercised by your tests and determine which
tests to create to increase coverage. Code coverage can be considered as an
indirect measure of quality.

%prep
%setup -q -n Devel-Cover-%{version}

find lib -type f -print0 | xargs -0 chmod 0644

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS" NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}


%install
%{make_install}
find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README.md docs/BUGS docs/TODO
%{_bindir}/*
%{perl_vendorarch}/Devel/
%{perl_vendorarch}/auto/Devel/
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3pm*

%changelog
* Wed Jun 11 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.40-2
- Rebuilt for loongarch64

* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.40-1
- initial build
